ImagickPixel::setColor
ImagickPixel::setHSL
ImagickPixel
PHP Manual

# ImagickPixel::setColorValue

(PECL imagick 2.0.0)

ImagickPixel::setColorValue — Sets the normalized value of one of the channels

### Description

bool ImagickPixel::setColorValue ( int `$color` , float `$value` )
Warning

This function is currently not documented; only its argument list is available.

Sets the value of the specified channel of this object to the provided value, which should be between 0 and 1. This function can be used to provide an opacity channel to an ImagickPixel object.

### Parameters

`color`

  One of the Imagick color constants e.g. \Imagick::COLOR_GREEN or \Imagick::COLOR_ALPHA.

`value`

  The value to set this channel to, ranging from 0 to 1.

### Return Values

Returns `TRUE` on success.

ImagickPixel::setColor
ImagickPixel::setHSL
ImagickPixel
PHP Manual